ALTER TABLE QUESTION
ADD FILE_ON_ALL_LOCATIONS VARCHAR2(1 CHAR);

ALTER TABLE QUESTIONNAIRE
ADD REPORT_FILE_ON_ALL_LOCATIONS VARCHAR2(1 CHAR);

DROP VIEW V_QUESTIONNAIRE_ANSWER;

CREATE OR REPLACE VIEW V_QUESTIONNAIRE_ANSWER AS (
	SELECT QA.ID, QA.ID_QUESTIONNAIRE_ANSWER_MASTER, QA.ID_QUESTION, QA.STRING_ANSWER, QA.DATE_ANSWER, QA.NUMBER_ANSWER, QA.BLOB_ANSWER, QA.FILENAME, QA.FILE_REFERENCE,QA.SEQUENCE_NUMBER,
  Q.NAME AS QUESTION_NAME, Q.QUESTION AS QUESTION_QUESTION, Q.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME, Q.TYPE AS QUESTION_TYPE, 
  Q.MAP_TABLE_NAME, Q.MAP_COLUMN_NAME, Q.TAG_ID AS QUESTION_TAG_ID, Q.FILE_TYPE AS QUESTION_FILE_TYPE, Q.FILE_ID AS QUESTION_FILE_ID, Q.FILE_ON_ALL_LOCATIONS AS QUESTION_FILE_ON_ALL_LOCATIONS,
  QAM.ID_MARINA_EVENT AS ID_MARINA_EVENT, QAM.ID_QUESTIONNAIRE, QAM.STATUS AS STATUS, QAM.ID_LASTNIKA, QAM.ID_PLOVILA, 
  SQ.SORT, SQ.INPUT_REQUIRED, SE.REPEATABLE_QUESTIONS AS SECTION_REPEATABLE_QUESTIONS
	FROM QUESTIONNAIRE_ANSWER QA
  LEFT OUTER JOIN QUESTION Q ON Q.ID = QA.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_ANSWER_MASTER QAM ON QAM.ID = QA.ID_QUESTIONNAIRE_ANSWER_MASTER
  LEFT OUTER JOIN SECTION_QUESTION SQ ON SQ.ID_QUESTIONNAIRE = QAM.ID_QUESTIONNAIRE AND SQ.ID_QUESTION = QA.ID_QUESTION
  LEFT OUTER JOIN SECTION SE ON SE.ID = SQ.ID_SECTION
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2032, SYSDATE, '5.5', 1952, 'V_QUESTIONNAIRE_ANSWER')
;
