CREATE OR REPLACE VIEW V_RACUN_LINES AS
SELECT RD.ID_RACUN_DATA, RD.ID_SALDKONT, RD.ZAP_ST, RD.KOLICINA, COALESCE(SS.ENOTA, SO.ID_ENOTA) AS ENOTA, RD.NETO, RD.DAV_STOPNJA, RD.ZNESEK, RD.POPUST, COALESCE(SS.OPIS, SO.OPIS) AS OPIS, RD.KOMENTAR  
FROM RACUN_DATA RD 
LEFT OUTER JOIN M_STORITVE MS ON RD.ID_STORITVE=MS.ID_STORITVE
LEFT OUTER JOIN M_NNSTOMAR SS ON MS.STORITEV=SS.SIFRA
LEFT OUTER JOIN S_OBRACUN SO ON RD.ID_OBRACUN=SO.ID_OBRACUN
WHERE (RD.ID_STORITVE IS NOT NULL OR RD.ID_OBRACUN IS NOT NULL)
;

CREATE OR REPLACE VIEW V_RACUN_PAYMENTS AS
SELECT E.ID, E.ID_SALDKONT, M.ID_CARDS, M.ZNESEK, M.TECAJ, M.NVALUTA
FROM EXCHANGE E
JOIN MONEY M ON E.ID=M.ID_MENJAVE
;

ALTER TABLE NNLOKACI
MODIFY SIFRA VARCHAR(20 CHAR)
;

alter table NUSER
MODIFY COMPUTER_LOCATION VARCHAR2(30 CHAR)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1580, SYSDATE, '5.5', 1500, 'Fisc Mne')
;