ALTER TABLE TABLE_SETTINGS ADD SETTING_TYPE VARCHAR2(30);

ALTER TABLE TABLE_SETTINGS ADD SORT_TYPE VARCHAR2(10);

UPDATE TABLE_SETTINGS SET SETTING_TYPE = 'TABLE' WHERE SETTING_TYPE IS NULL;

ALTER TABLE TABLE_SETTINGS MODIFY SETTING_TYPE NOT NULL;

CREATE OR REPLACE TRIGGER TABLE_SETTINGS_BI_BU
BEFORE INSERT OR UPDATE
ON TABLE_SETTINGS
FOR EACH ROW
BEGIN
    IF :NEW.SETTING_TYPE IS NULL THEN
        :NEW.SETTING_TYPE := 'TABLE';;
    END IF;;
END;;
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1875, SYSDATE, '5.5', 1795, 'TABLE_SETTINGS')
;
